org.richfaces.component.html

## Class HtmlScrollableDataTable

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIData
      - - org.ajax4jsf.component.UIDataAdaptor
        - - org.ajax4jsf.component.SequenceDataAdaptor
          - - org.richfaces.component.UIScrollableDataTable
            - - org.richfaces.component.html.HtmlScrollableDataTable

- All Implemented Interfaces:
    javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.component.AjaxDataEncoder, org.richfaces.component.ScriptExportable, org.richfaces.component.Selectable, org.richfaces.component.Sortable

      public class HtmlScrollableDataTable
      extends UIScrollableDataTable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor

      `org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.UIScrollableDataTable

      `SORT_MULTI, SORT_SINGLE`

    - ### Fields inherited from class org.ajax4jsf.component.UIDataAdaptor

      `COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface org.ajax4jsf.component.AjaxComponent

      `AJAX_COMPONETT_PARAMETER`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlScrollableDataTable()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getActiveClass()`
    `java.lang.Object` | `getActiveRowKey()`
    `java.lang.String` | `getColumnClasses()`
    `java.lang.Object` | `getData()`
    `java.lang.String` | `getEventsQueue()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getFocus()`
    `java.lang.String` | `getFooterClass()`
    `int` | `getFrozenColCount()`
    `java.lang.String` | `getHeaderClass()`
    `java.lang.String` | `getHeight()`
    `java.lang.String` | `getOnbeforedomupdate()`
    `java.lang.String` | `getOncomplete()`
    `java.lang.String` | `getOnRowClick()`
    `java.lang.String` | `getOnRowDblClick()`
    `java.lang.String` | `getOnRowMouseDown()`
    `java.lang.String` | `getOnRowMouseUp()`
    `java.lang.String` | `getOnselectionchange()`
    `java.lang.Object` | `getProcess()`
    `int` | `getRequestDelay()`
    `java.lang.Object` | `getReRender()`
    `java.lang.String` | `getRowClasses()`
    `java.lang.String` | `getScriptVar()`
    `java.lang.String` | `getSelectedClass()`
    `org.richfaces.model.selection.Selection` | `getSelection()`
    `org.richfaces.model.SelectionMode` | `getSelectionMode()`
    `java.lang.String` | `getSimilarityGroupingId()`
    `java.lang.String` | `getSortMode()`
    `org.richfaces.model.SortOrder` | `getSortOrder()`
    `java.lang.String` | `getStatus()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `int` | `getTimeout()`
    `java.lang.String` | `getWidth()`
    `boolean` | `isBypassUpdates()`
    `boolean` | `isHideWhenScrolling()`
    `boolean` | `isIgnoreDupResponses()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setActiveClass(java.lang.String _activeClass)`
    `void` | `setActiveRowKey(java.lang.Object _activeRowKey)`
    `void` | `setBypassUpdates(boolean _bypassUpdates)`
    `void` | `setColumnClasses(java.lang.String _columnClasses)`
    `void` | `setData(java.lang.Object _data)`
    `void` | `setEventsQueue(java.lang.String _eventsQueue)`
    `void` | `setFocus(java.lang.String _focus)`
    `void` | `setFooterClass(java.lang.String _footerClass)`
    `void` | `setFrozenColCount(int _frozenColCount)`
    `void` | `setHeaderClass(java.lang.String _headerClass)`
    `void` | `setHeight(java.lang.String _height)`
    `void` | `setHideWhenScrolling(boolean _hideWhenScrolling)`
    `void` | `setIgnoreDupResponses(boolean _ignoreDupResponses)`
    `void` | `setOnbeforedomupdate(java.lang.String _onbeforedomupdate)`
    `void` | `setOncomplete(java.lang.String _oncomplete)`
    `void` | `setOnRowClick(java.lang.String _onRowClick)`
    `void` | `setOnRowDblClick(java.lang.String _onRowDblClick)`
    `void` | `setOnRowMouseDown(java.lang.String _onRowMouseDown)`
    `void` | `setOnRowMouseUp(java.lang.String _onRowMouseUp)`
    `void` | `setOnselectionchange(java.lang.String _onselectionchange)`
    `void` | `setProcess(java.lang.Object _process)`
    `void` | `setRequestDelay(int _requestDelay)`
    `void` | `setReRender(java.lang.Object _reRender)`
    `void` | `setRowClasses(java.lang.String _rowClasses)`
    `void` | `setScriptVar(java.lang.String _scriptVar)`
    `void` | `setSelectedClass(java.lang.String _selectedClass)`
    `void` | `setSelection(org.richfaces.model.selection.Selection _selection)`
    `void` | `setSelectionMode(org.richfaces.model.SelectionMode _selectionMode)`
    `void` | `setSimilarityGroupingId(java.lang.String _similarityGroupingId)`
    `void` | `setSortMode(java.lang.String _sortMode)`
    `void` | `setSortOrder(org.richfaces.model.SortOrder _sortOrder)`
    `void` | `setStatus(java.lang.String _status)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setTimeout(int _timeout)`
    `void` | `setWidth(java.lang.String _width)`

    - ### Methods inherited from class org.richfaces.component.UIScrollableDataTable

      `broadcast, broadcastLocal, createComponentState, createDataModel, dataChildren, encodeBegin, encodeEnd, fixedChildren, getResponseData, getRowKeyConverter, getScrollPos, getSortListener, isAjaxSingle, isCacheable, isLimitToList, isSelectionEnabled, processDecodes, processScrolling, processSortingChange, processUpdates, processValidators, queueEvent, resetReqRowsCount, setAjaxSingle, setLimitToList, setResponseData, setRowIndex, setRowKeyConverter, setScrollPos, setSortListener, walk`

    - ### Methods inherited from class org.ajax4jsf.component.SequenceDataAdaptor

      `getDataModel, setDataModel`

    - ### Methods inherited from class org.ajax4jsf.component.UIDataAdaptor

      `addAjaxKeyEvent, addRequestKey, beforeRenderResponse, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, extractKeySegment, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyVar, getStateVar, getValue, invocableChildren, invokeOnComponent, isRowAvailable, iterate, keepSaved, processDecodes, processUpdates, processValidators, removeRequestKey, resetComponent, resetDataModel, restoreChildState, restoreOrigValue, restoreOrigValue, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowKey, setRowKey, setRowKeyVar, setStateVar, setupVariable, setValue`

    - ### Methods inherited from class javax.faces.component.UIData

      `getFirst, getFooter, getHeader, getRows, getVar, setFirst, setFooter, setHeader, setRows, setValueBinding, setValueExpression, setVar`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, decode, encodeChildren, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlScrollableDataTable

          public HtmlScrollableDataTable()

  - ### Method Detail

    - #### getActiveClass

          public java.lang.String getActiveClass()

    - #### setActiveClass

          public void setActiveClass(java.lang.String _activeClass)

    - #### getActiveRowKey

          public java.lang.Object getActiveRowKey()

      Specified by:
        `getActiveRowKey` in class `UIScrollableDataTable`

    - #### setActiveRowKey

          public void setActiveRowKey(java.lang.Object _activeRowKey)

      Specified by:
        `setActiveRowKey` in class `UIScrollableDataTable`

    - #### isBypassUpdates

          public boolean isBypassUpdates()

    - #### setBypassUpdates

          public void setBypassUpdates(boolean _bypassUpdates)

    - #### getColumnClasses

          public java.lang.String getColumnClasses()

    - #### setColumnClasses

          public void setColumnClasses(java.lang.String _columnClasses)

    - #### getData

          public java.lang.Object getData()

    - #### setData

          public void setData(java.lang.Object _data)

    - #### getEventsQueue

          public java.lang.String getEventsQueue()

    - #### setEventsQueue

          public void setEventsQueue(java.lang.String _eventsQueue)

    - #### getFocus

          public java.lang.String getFocus()

    - #### setFocus

          public void setFocus(java.lang.String _focus)

    - #### getFooterClass

          public java.lang.String getFooterClass()

    - #### setFooterClass

          public void setFooterClass(java.lang.String _footerClass)

    - #### getFrozenColCount

          public int getFrozenColCount()

    - #### setFrozenColCount

          public void setFrozenColCount(int _frozenColCount)

    - #### getHeaderClass

          public java.lang.String getHeaderClass()

    - #### setHeaderClass

          public void setHeaderClass(java.lang.String _headerClass)

    - #### getHeight

          public java.lang.String getHeight()

    - #### setHeight

          public void setHeight(java.lang.String _height)

    - #### isHideWhenScrolling

          public boolean isHideWhenScrolling()

    - #### setHideWhenScrolling

          public void setHideWhenScrolling(boolean _hideWhenScrolling)

    - #### isIgnoreDupResponses

          public boolean isIgnoreDupResponses()

    - #### setIgnoreDupResponses

          public void setIgnoreDupResponses(boolean _ignoreDupResponses)

    - #### getOnRowClick

          public java.lang.String getOnRowClick()

    - #### setOnRowClick

          public void setOnRowClick(java.lang.String _onRowClick)

    - #### getOnRowDblClick

          public java.lang.String getOnRowDblClick()

    - #### setOnRowDblClick

          public void setOnRowDblClick(java.lang.String _onRowDblClick)

    - #### getOnRowMouseDown

          public java.lang.String getOnRowMouseDown()

    - #### setOnRowMouseDown

          public void setOnRowMouseDown(java.lang.String _onRowMouseDown)

    - #### getOnRowMouseUp

          public java.lang.String getOnRowMouseUp()

    - #### setOnRowMouseUp

          public void setOnRowMouseUp(java.lang.String _onRowMouseUp)

    - #### getOnbeforedomupdate

          public java.lang.String getOnbeforedomupdate()

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(java.lang.String _onbeforedomupdate)

    - #### getOncomplete

          public java.lang.String getOncomplete()

    - #### setOncomplete

          public void setOncomplete(java.lang.String _oncomplete)

    - #### getOnselectionchange

          public java.lang.String getOnselectionchange()

    - #### setOnselectionchange

          public void setOnselectionchange(java.lang.String _onselectionchange)

    - #### getProcess

          public java.lang.Object getProcess()

    - #### setProcess

          public void setProcess(java.lang.Object _process)

    - #### getReRender

          public java.lang.Object getReRender()

    - #### setReRender

          public void setReRender(java.lang.Object _reRender)

    - #### getRequestDelay

          public int getRequestDelay()

    - #### setRequestDelay

          public void setRequestDelay(int _requestDelay)

    - #### getRowClasses

          public java.lang.String getRowClasses()

    - #### setRowClasses

          public void setRowClasses(java.lang.String _rowClasses)

    - #### getScriptVar

          public java.lang.String getScriptVar()

    - #### setScriptVar

          public void setScriptVar(java.lang.String _scriptVar)

    - #### getSelectedClass

          public java.lang.String getSelectedClass()

    - #### setSelectedClass

          public void setSelectedClass(java.lang.String _selectedClass)

    - #### getSelection

          public org.richfaces.model.selection.Selection getSelection()

    - #### setSelection

          public void setSelection(org.richfaces.model.selection.Selection _selection)

    - #### getSelectionMode

          public org.richfaces.model.SelectionMode getSelectionMode()

      Specified by:
        `getSelectionMode` in class `UIScrollableDataTable`

    - #### setSelectionMode

          public void setSelectionMode(org.richfaces.model.SelectionMode _selectionMode)

      Specified by:
        `setSelectionMode` in class `UIScrollableDataTable`

    - #### getSimilarityGroupingId

          public java.lang.String getSimilarityGroupingId()

    - #### setSimilarityGroupingId

          public void setSimilarityGroupingId(java.lang.String _similarityGroupingId)

    - #### getSortMode

          public java.lang.String getSortMode()

      Specified by:
        `getSortMode` in class `UIScrollableDataTable`

    - #### setSortMode

          public void setSortMode(java.lang.String _sortMode)

      Specified by:
        `setSortMode` in class `UIScrollableDataTable`

    - #### getSortOrder

          public org.richfaces.model.SortOrder getSortOrder()

      Specified by:
        `getSortOrder` in interface `org.richfaces.component.Sortable`
      Specified by:
        `getSortOrder` in class `UIScrollableDataTable`

    - #### setSortOrder

          public void setSortOrder(org.richfaces.model.SortOrder _sortOrder)

      Specified by:
        `setSortOrder` in interface `org.richfaces.component.Sortable`
      Specified by:
        `setSortOrder` in class `UIScrollableDataTable`

    - #### getStatus

          public java.lang.String getStatus()

    - #### setStatus

          public void setStatus(java.lang.String _status)

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String _style)

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

    - #### getTimeout

          public int getTimeout()

    - #### setTimeout

          public void setTimeout(int _timeout)

    - #### getWidth

          public java.lang.String getWidth()

    - #### setWidth

          public void setWidth(java.lang.String _width)

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIData`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `UIScrollableDataTable`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `UIScrollableDataTable`

Copyright © 2014. All Rights Reserved.